<?php
namespace Factory;

use \Teknisa\Model\Services\Entities;
use Util\InstanceProvider;

class FctVendedororca {
    
    public function save($entity, $nrseqorcamento, $nrparcnegocio, $nrorg,$cdoperinclusao,$cdoperultatu)
    {
        if(empty($entity)){
            $entity = new Entities\FctVendedororca();
            $novoCodigo = InstanceProvider::getNewCode()->getCodeByTableName("NRVENDEDORORCA", $nrorg, 1, 10, true);
            
            $entity->setNrvendedororca($novoCodigo);
        }
        $entity->setNrseqorcamento($nrseqorcamento);
        $entity->setNrparcvendedor($nrparcnegocio);
        $entity->setVrpeparticipavenda(100);
        $entity->setNrparcgerente(null);
        $entity->setIdvenpriorca('S');
        $entity->setNrorg($nrorg);
        $entity->setNrorginclusao($nrorg);
        $entity->setNrorgultatu($nrorg);
        $entity->setCdoperinclusao($cdoperinclusao);
        $entity->setCdoperultatu($cdoperultatu);
        return $entity;
    }
}