<?php
/**
 * Created by PhpStorm.
 * User: erikasantos
 * Date: 07/01/2015
 * Time: 08:54
 */

namespace Factory;


class Repository {

    private $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
    }

    public function updateRepository(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Repository $entity,$name,
                                     $description, $url, $status, $product = null,$path = null,$seqno = null, $isMaster = 'N') {
        $entity->setName($name);
        $entity->setDescription($description);
        $entity->setUrl($url);
        $entity->setStatus($status);
        $entity->setProduct($product);
        $entity->setPath($path);
        $entity->setSeqno($seqno);
        $entity->setIsMaster($isMaster);
        return $entity;
    }

    public function createRepository($organization, $name, $description, $url, $status,
                                     \Zeedhi\DevOps\Model\Projectmanagement\Entities\Project $project, $product = null,
                                     $path = null,$seqno = null, $isMaster = 'N') {
        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\Repository();
        $entity->setOrganization($organization);
        $entity->setName($name);
        $entity->setDescription($description);
        $entity->setUrl($url);
        $entity->setStatus($status);
        $entity->setProject($project);
        $entity->setProduct($product);
        $entity->setPath($path);
        $entity->setSeqno($seqno);
        $entity->setIsMaster($isMaster);
        return $entity;
    }

} 